## void setPasswordCallback(SmbAnswerCallback *getObject)

## Method Description

This function is used to specify a callback which will be used when the library needs to ask the user a name or password.
Note that the callback is called only when the server requires it, which means that if you want to access a server as a user and it also has a guest account, you must put your user name in the URL.

GetObject has a virtual method that you should have overloaded to use your own display scheme. The library doesn't know anything about X11 or other graphic interfaces so will call this method for any user interaction. Typically, you could display a dialog box and send the information back.

## See also :

Derive this class to implement a way for the library to get user feedback.
class SmbAnswerCallback

Copyright © Nicolas Brodu, 1999 - 2000